import * as $dara from '@darabonba/typescript';
import { DescribeVulDetailsResponseBody } from "./DescribeVulDetailsResponseBody";
export declare class DescribeVulDetailsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeVulDetailsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
